<?php
/************************************************************************/
/* NPDS : Net Portal Dynamic System                 */
/* ================================                 */
/*                                  */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                           */
/*                                  */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/*                                  */
/* Module   : EVENT-C@LL                        */
/* Auteur   : Grald MARINO                     */
/* Mail     : webmaster@marino-g.org                */
/* Site Web     : http://www.marino-g.org/              */
/*                                  */
/************************************************************************/
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.   */
/************************************************************************/

/**********************************************************/
/* functions to calculate calendar numbers for month view */
/**********************************************************/

// Reduce the number to within the week range of 7 days
function dayinweek($num)
  {
  while ($num>7) $num = $num-7 ;
  return $num ;
  }

// Provide the number of blank days before the first day of month based on week start day
function blankdays($wsd,$fsd) {
  if ($wsd==$fsd) return 0 ;
  else if ($wsd>$fsd) return (7-$wsd+$fsd) ;
  else if ($fsd>$wsd) return ($fsd-$wsd) ;
}

function smallmonth($smmonth,$smyear,$showyear,$ud,$um,$uy,$showeventcount)
{
    global $ModPath,$ModStart,$SuperCache,$ROWALTCLR,$PAGECLR,$EVENTS_TB,$CAT_TB,$USER_TB,$MTHCFG,$DTCONFIG,$maand,$mth,$titlefont,$closefont,$week,$dayfont,$datenumfont,$ALLOWVIEW,$userid,$UVIEW,$uname,$admin,$MINICFG,$catview,$SHOW,$ugroup,$bgcolor1,$CALNAMECFG,$TODAYFONT;
    // number of days in month
    $firstday = date ("w", mktime(12,0,0,$smmonth,1,$smyear));
    $firstday;
    $nr = date("t",mktime(12,0,0,$smmonth,1,$smyear));
    echo "\n\n<table align=\"center\" border=\"0\" cellspacing=\"$MTHCFG[2]\" cellpadding=\"$MTHCFG[3]\" width=\"98%\">";
    echo "<tr>";
    echo "<td align=\"center\" valign=\"middle\" width=\"100%\"><b>";
    echo "<a href=\"#\" onclick='Javascript:top.opener.window.location = \"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/calendar&subop=cal&month=".$smmonth."&year=".$smyear."\"; self.window.close();'>".$titlefont."<font color=$PAGECLR[1]>".$maand[$smmonth]."$closefont";
//  echo "<a href=admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/calendar&subop=cal&month=$smmonth&year=$smyear&catview=0>$titlefont<font color=$PAGECLR[1]>".$maand[$smmonth]."$closefont";
    echo "</a> " ;
    if ($showyear) echo $titlefont.$smyear.$closefont;
    else $closefont ;
    echo "</b></td></tr></table>\n\n";
    echo "<table align=\"center\" border=\"$MTHCFG[1]\" cellspacing=\"$MTHCFG[2]\" cellpadding=\"$MTHCFG[3]\" width=\"98%\">";
    echo "<tr>";
    // make the header days of week
    for ($i=intval($DTCONFIG[3])+1;$i<=(intval($DTCONFIG[3]) + 7);$i++)
    {
        echo "<td bgcolor=\"$MTHCFG[10]\" align=\"center\" width=\"14%\">";
        if (dayinweek($i) == 1)
        echo $dayfont.substr($week[dayinweek($i)],0,3).$closefont."</td>"; // sunday
        else
        echo $dayfont.substr($week[dayinweek($i)],0,3).$closefont."</td>"; // rest of week
    }
    echo "</tr>\n\n<tr>";
    // print initial blank squares
        for ($i=1;$i<=blankdays(intval($DTCONFIG[3]),$firstday);$i++)  echo "<td>&nbsp;</td>";
        $a=0;
        for ($i=1;$i<=$nr;$i++)
        {
            // now get eventual events on $i
            $order = " order by year,month,cat_name,day,starttime,title ASC";
            $result = eventqry($i,$smmonth,$smyear,$uname,$order,true,$catview) ;
            $devtcnt = mysql_num_rows($result) ;
            echo "<td align=\"center\" ";
            if ($i == $ud && $smmonth == $um && $smyear == $uy) // highlight today's day
            echo "bgcolor=\"$ROWALTCLR[0]\" ";
            elseif ($devtcnt!=0)
            echo "bgcolor=\"$MTHCFG[15]\" ";
            echo "valign=\"top\">\n\n";

            if ($devtcnt!=0)
            {
                while ($row = mysql_fetch_object($result))
                {
                    if (($SHOW[2]==1)||($SHOW[3]==1))
                    $txt.= "";
                    if ($row->starttime=='')
                    $txt.= "<font size=\"2\" color=\"$TODAYFONT[1]\"><b>&nbsp;-&nbsp;</b>";
                    else
                    {
                        if ($DTCONFIG[1]==1) $txt.= show12hour($row->starttime) ;
                        else
                        $txt.= $row->starttime ;
                        if ($row->endtime!='')
                        {
                            if ($DTCONFIG[1]==1) $txt.= show12hour($row->endtime) ;
                            else
                            $txt.= $row->endtime ;
                        }
                    }
                    if (($SHOW[3]==1)&&($SHOW[2]==0))
                    $txt.= "<font size=\"2\" color=\"$TODAYFONT[1]\">";
                    $txt.= subquot(stripslashes($row->title));
                    $txt.= "</font>";
                    $txt.= "<br />";
                    if ($SHOW[2]==1)
                    $txt.= "";
                }
               
            }
			echo bubulle('',$datenumfont.$i,'',$txt);
            //echo "<b>".$datenumfont.$i.$closefont."</b></a>" ;
            echo "</td>";
            $a++;
        if (blankdays(intval($DTCONFIG[3]),date("w",mktime(0,0,0,$smmonth,$i,$smyear))) == 6)
        {
            echo "</tr>\n\n<tr>";
            $a = 0;
        }
    }
    if ($a!=0)
    {
        for ($i=$a;$i<7;$i++)
        {
            echo "<td>&nbsp;</td>";
        }
    }
    echo "</tr>";

    echo "</table>";
}

function popcal($smmonth,$smyear,$showyear,$ud,$um,$uy,$showeventcount)
{

    global $ModPath,$ModStart,$SuperCache,$PAGECLR,$EVENTS_TB,$CAT_TB,$USER_TB,$MTHCFG,$DTCONFIG,$maand,$mth,$titlefont,$closefont,$week,$dayfont,$datenumfont,$ALLOWVIEW,$userid,$UVIEW,$uname,$admin,$MINICFG,$catview,$SHOW,$ugroup,$ROWALTCLR ;
    // number of days in month
    $firstday = date ("w", mktime(12,0,0,$smmonth,1,$smyear));
    $firstday;
    $nr = date("t",mktime(12,0,0,$smmonth,1,$smyear));
    echo "\n\n<table bgcolor=\"$MTHCFG[14]\" align=\"center\" border=\"0\" cellspacing=\"$MTHCFG[2]\" cellpadding=\"$MTHCFG[3]\" width=\"98%\">";
    echo "<tr>";
    echo "<td align=\"center\" valign=\"middle\" width=\"100%\"><b>";
  if ($ALLOWVIEW[5]==1) {
  echo "";
    }
    echo $titlefont.$maand[$smmonth].$closefont ;
  if ($ALLOWVIEW[5]==1) echo "</a> " ;
  if ($showyear) echo $titlefont.$smyear.$closefont;
  else $closefont ;
  echo "</b></td></tr></table>\n\n";
    echo "<table bgcolor=\"$MTHCFG[14]\" align=\"center\" border=\"$MTHCFG[1]\" cellspacing=\"$MTHCFG[2]\" cellpadding=\"$MTHCFG[3]\" width=\"98%\">";
    echo "<tr>";
    // make the header days of week
    for ($i=intval($DTCONFIG[3])+1;$i<=(intval($DTCONFIG[3]) + 7);$i++)
    {
        echo "<td bgcolor=\"$MTHCFG[10]\" align=\"center\" width=\"14%\">";
        if (dayinweek($i) == 1)
        echo $dayfont.substr($week[dayinweek($i)],0,3).$closefont."</td>"; // sunday
        else
        echo $dayfont.substr($week[dayinweek($i)],0,3).$closefont."</td>"; // rest of week
    }
    echo "</tr>\n\n<tr>";
    // print initial blank squares
        for ($i=1;$i<=blankdays(intval($DTCONFIG[3]),$firstday);$i++)  echo "<td>&nbsp;</td>";
        $a=0;
        for ($i=1;$i<=$nr;$i++)
        {
            // now get eventual events on $i
            $order = " order by year,month,cat_name,day,starttime,title ASC";
            $result = eventqry($i,$smmonth,$smyear,$uname,$order,true,$catview) ;
            $devtcnt = mysql_num_rows($result) ;
            echo "<td align=\"center\" ";
            if ($i == $ud && $smmonth == $um && $smyear == $uy) // highlight today's day
            echo "bgcolor=\"$ROWALTCLR[0]\" ";
            elseif ($devtcnt!=0)
            echo "bgcolor=\"$MTHCFG[15]\" ";
            echo "valign=\"top\">\n\n";
            echo "<b>".$datenumfont.$i.$closefont."</b></a>" ;
            echo "</td>";
            $a++;
        if (blankdays(intval($DTCONFIG[3]),date("w",mktime(0,0,0,$smmonth,$i,$smyear))) == 6)
        {
            echo "</tr>\n\n<tr>";
            $a = 0;
        }
    }
    if ($a!=0)
    {
        for ($i=$a;$i<7;$i++)
        {
            echo "<td>&nbsp;</td>";
        }
    }
    echo "</tr>";
    echo "</table>";
}


/************************************************/
/* functions to convert between 12 and 24 hours */
/************************************************/

function show12hour($hour24) {
global $DTCONFIG ;
if ($DTCONFIG[1]==1) {
    if ($hour24=='') return '' ;
    if (intval(substr($hour24,0,2)) < 12){
      if (intval(substr($hour24,0,2)) == "0")
        $hour12 = substr_replace($hour24,"12",0,2);
      else $hour12 = $hour24 ;
      $hrnum = intval(substr($hour12,0,2)) ;
      $hrstr = strval($hrnum) ;
      $hour12 = substr_replace($hour12,$hrstr,0,2)."am" ;
      }
    else {
      if (intval(substr($hour24,0,2)) > 12)
        $hrnum = intval(substr($hour24,0,2)) - 12 ;
      else
        $hrnum = intval(substr($hour24,0,2)) ;
      $hrstr = strval($hrnum) ;
      $hour12 = substr_replace($hour24,$hrstr,0,2)."pm" ;
      }
    return $hour12 ;
    }
else
    return $hour24 ;
}

function convert12to24($hour12,$dayperiod) {
    if ($hour12=='') return '' ;
    if (($dayperiod=='am')&&($hour12=="12")) $hour24 = "00" ;
    else if ($dayperiod=='am') $hour24 = $hour12 ;
    if ($dayperiod=='pm') {
      if (intval(substr($hour12,0,2)) < 12) {
        $hrnum = intval(substr($hour12,0,2)) + 12 ;
        $hrstr = strval($hrnum) ;
        $hour24 = $hrstr ;
        }
      else $hour24 = $hour12 ;
      }
    return $hour24 ;
}

/************************/
/* get event statistics */
/************************/
function getEventStats($day_i,$month_i,$year_i){
global $CAT_TB,$EVENTS_TB,$SHOW,$userid,$UVIEW,$catview,$ugroup,$uname,$APPR;
  // now get number of events on $day_i approved
if ($SHOW[1]==1) {
              $query = "select count(id) from ".$EVENTS_TB." left join ".$CAT_TB." on ".$EVENTS_TB.".cat=".$CAT_TB.".cat_id where day='$day_i' and month='$month_i' and year='$year_i' and approved='1' " ;

          if (($UVIEW[1]=='1')&&($UVIEW[0]==1)) {  // view user specific events only
              if ($ugroup!=0) $query = $query." and ".$EVENTS_TB.".user='".$uname."' ";
              }
              $result = mysql_query($query);
          $row = mysql_fetch_row($result) ;
          echo "<b>".$row[0]."</b> ".translate_event_call("confirmed events for today")." <br>" ;
          if ($APPR[0]==1) {
          // now get number of events on $day_i not approved
                $query = "select count(id) from ".$EVENTS_TB." left join ".$CAT_TB." on ".$EVENTS_TB.".cat=".$CAT_TB.".cat_id where approved='0' ";
          if (($UVIEW[1]=='1')&&($UVIEW[0]==1)) {  // view user specific events only
              if ($ugroup!=0) $query = $query." and ".$EVENTS_TB.".user='".$uname."' ";
              }
                $result = mysql_query($query);
            $row = mysql_fetch_row($result) ;
            echo "<b>".$row[0]."</b> ".translate_event_call("events awaiting approval") ;
            }
          }
}


/*********************************/
/* Header functions for calendar */
/*********************************/

function calHeaderFunc(){
global $ModPath, $ModStart, $SuperCache, $MENUTITLE,$POPVIEW,$SHOW,$todayfont,$week,$maand,$d,$m,$y,$closefont,$APPR,$ALLOWVIEW,$catview,$uname,$UVIEW ;

# today's date
if ($SHOW[0]==1){
  $weekday = date ("w", mktime(12,0,0,$m,$d,$y));
  $weekday++;
  echo "\n<table width=\"$MENUTITLE[1]\" align=\"center\" border=\"0\" bgcolor=\"$MENUTITLE[2]\" cellpadding=\"2\" cellspacing=\"0\"><tr><td align=\"left\" valign=\"top\" width=\"50%\"><b>".$todayfont.".: ".translate_event_call("Today").", " ;
  echo ucfirst($week[$weekday])." ".$d." ".ucfirst($maand[$m])." ".$y." :.";
  echo $closefont."</font></b></td>" ;
  echo "<td align=\"center\" valign=\"top\" width=\"24%\">";
  echo $todayfont ;
  getEventStats($d,$m,$y) ;
  echo $closefont."</td>" ;
  echo "<td align=\"right\" valign=\"top\" width=\"38%\">";
  if (($UVIEW[2]==0)||(($UVIEW[2]==1)&&($uname!=""))) {
    if ($APPR[0]==1)
    echo $todayfont.translate_event_call("Approval needed for posting of events.").$closefont."<br>" ;
    else
      echo $todayfont.translate_event_call("Events added will be posted immediately.").$closefont."<br>" ;
    }
// display icons
//echo " &nbsp; <a href='#' onclick=\"Javascript:window.open('modules.php?ModPath=$ModPath&ModStart=yearcal&op=yearcal&ycyear=$y','popupyear','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=680,height=510');\"><img src=\"modules/$ModPath/images/year.gif\" border=0 alt='".translate_event_call("Current Year")."' width=11 height=11></a>";
echo " &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/yearcal&subop=yearcal&ycyear=$y\"><img src=\"modules/$ModPath/images/year.gif\" border=\"0\" alt=\"".translate_event_call("Current Year")."\" width=\"11\" height=\"11\" /></a>";

if ($ALLOWVIEW[5]==1){
  echo " &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/calendar&subop=cal&month=$m&year=$y&catview=$catview\"><img src=\"modules/$ModPath/images/month.gif\" border=\"0\" alt=\"".translate_event_call("Current Month")."' width=\"11\" height=\"11\" /></a>";
}
if ($ALLOWVIEW[4]==1){
echo " &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_week&subop=week&catview=$catview\"><img src=\"modules/$ModPath/images/week.gif\" border=\"0\" alt=\"".translate_event_call("Current Week")."\" width=\"11\" height=\"11\" /></a>";
}
if ($ALLOWVIEW[3]==1){
echo " &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_day&subop=day&catview=$catview\"><img src=\"modules/$ModPath/images/today.gif\" border=\"0\" alt=\"".translate_event_call("Today")."\" width=\"11\" height=\"11\" /></a>";
}
if ($ALLOWVIEW[2]==1){
echo " &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_cat&subop=cats&catview=$catview\"><img src=\"modules/$ModPath/images/category.gif\" border=\"0\" alt=\"".translate_event_call("Categories")."\" width=\"11\" height=\"11\" /></a>";
}

if ((($UVIEW[2]==1)&&($uname!=""))||($UVIEW[2]==0)) {
  if ($ALLOWVIEW[1]==1){
    echo " &nbsp; <a href='#' onclick=\"Javascript:window.open('admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_addevent&subop=eventform&catview=$catview','popupwin','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=".$POPVIEW[3].",height=".$POPVIEW[4]."');\"><img src=\"modules/$ModPath/images/plus.png\" border=0 alt='".translate_event_call("Add Event")."' width=\"16\" height=\"16\"></a>";
  }
}

if ($ALLOWVIEW[0]==1){
  global $ModPath, $ModStart, $SuperCache;
  echo " &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=event-call&ModStart=admin/calendar\" target=_top><img src=\"modules/$ModPath/images/admin.gif\" border=\"0\" alt=\"".translate_event_call("Administration")."\" width=\"11\" height=\"11\" /></a>";

  }

echo " &nbsp; </td></tr></table>\n";
}
}

/*********************************/
/* Check for holidays to display */
/*********************************/

function calhols($dhols,$mhols,$yhols){
global $HOLS_TB;

// Calculate week number within month
$dow = date("w", mktime(0,0,0,$mhols,$dhols,$yhols));       // day of week
$wknum = 0 ;
$lastwk = false ;
if ((date("n", mktime(0,0,0,$mhols,$dhols-7,$yhols)))<>(date("n", mktime(0,0,0,$mhols,$dhols,$yhols))))
  $wknum = 1 ;  // first week
else if ((date("n", mktime(0,0,0,$mhols,$dhols-14,$yhols)))<>(date("n", mktime(0,0,0,$mhols,$dhols,$yhols))))
  $wknum = 2 ;  // 2nd week
else if ((date("n", mktime(0,0,0,$mhols,$dhols-21,$yhols)))<>(date("n", mktime(0,0,0,$mhols,$dhols,$yhols))))
  $wknum = 3 ;  // 3rd week
else if ((date("n", mktime(0,0,0,$mhols,$dhols-28,$yhols)))<>(date("n", mktime(0,0,0,$mhols,$dhols,$yhols))))
  $wknum = 4 ;  // 4th week
if ((date("n", mktime(0,0,0,$mhols,$dhols+7,$yhols)))<>(date("n", mktime(0,0,0,$mhols,$dhols,$yhols))))
  $lastwk = true ;  // last week
$sday = $dow."/".$wknum ;
$lday = $dow."/5" ;
$hquery = "select id,title from ".$HOLS_TB." where ((type=0 and day='$dhols' and month='$mhols') or " ;
$hquery .= "(type=1 and day='$dhols' and month='$mhols' and year='$yhols') or (type=2 and others='$sday' and month='$mhols') " ;
if ($lastwk) $hquery .= " or (type=2 and others='$lday' and month='$mhols') " ;
$hquery = $hquery.") order by title ASC";
$hresult = mysql_query($hquery);
return $hresult ;
}

/********************/
/* Display holidays */
/********************/

function showhols($hols,$hyperlink,$pop)
{
    $cnt = 0 ;
    while ($row = mysql_fetch_object($hols))
    {
        if ($cnt>0) echo "<br />";
        if ($pop)
        echo "
        <a href=\"#\" onclick=\"Javascript:window.open('".$hyperlink.$row->id."','popholswin','toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=no,width=300,height=300');\">
        ";
        else
        echo "
        <a href=\"".$hyperlink.$row->id."\">
        ";
        echo stripslashes($row->title) ;
        echo "</a>" ;
        $cnt++ ;
    }
}

/********************/
/* Event Query      */
/********************/

function eventqry($qday,$qmonth,$qyear,$uname,$order,$approve,$catview)
{
    global $EVENTS_TB, $CAT_TB, $UVIEW, $ugroup ;
    $query = "select id,user,title,description,url,email,starttime,endtime,day,month,year,approved,cat_name,cat_color,cat_bgcolor from ".$EVENTS_TB." left join ".$CAT_TB." on ".$EVENTS_TB.".cat=".$CAT_TB.".cat_id where day='$qday' and month='$qmonth' and year='$qyear'";
    // User calendar query
    if ($approve)
    {
        $query .= " and approved='1'";
        if ($catview!=0)  $query = $query." and ".$EVENTS_TB.".cat=$catview";
        if (($UVIEW[1]=='1')&&($UVIEW[0]==1))  // user view user specific events only
        {
            if ($ugroup!=0) $query = $query. " and ".$EVENTS_TB.".user='".$uname."'";
        }
    }
    // Admin calendar query
    else
    {
        if (($uname!="")&&($uname!="-")) $query = $query." and ".$EVENTS_TB.".user='".$uname."' ";
    }
    $query .= $order ;
    $result = mysql_query($query);
    return $result ;
}

/******************************/
/* Display user for selection */
/******************************/

function selectuser($uname) {
global $menufont,$closefont ;

// Display the users to be selected
echo "<b>".$menufont.translate_event_call("View events of user").": ".$closefont."</b> &nbsp;" ;
// get users
$query = "select uname,uid from users";
$result = mysql_query($query) ;
echo "<select class=\"select_ec\" name=\"huser\" onchange=\"Javascript:seeuser(this);\">\n";
echo "\t<option value=\"-\"" ;
if (($uname=="-")||($uname=="")) echo " selected=\"selected\" " ;
echo ">--\n";
while ($row = mysql_fetch_object($result)){
  echo "\t<option value=\"$row->uname\"" ;
  if ($uname=="$row->uname") echo " selected=\"selected\" " ;
  echo ">".$row->uname."\n";
  }
echo "</select>\n";
}

/******************************/
/* Text answers for options   */
/******************************/

function answertxt($val) {
  $ans = translate_event_call("Unknown") ;
  if (($val==1)||($val=='1')) $ans = translate_event_call("Yes");
  elseif (($val==0)||($val=='0')) $ans = translate_event_call("No");
  return $ans ;
}

/*************************************/
/* Function to replace "' to &quot;  */
/*************************************/
function subquot($in) {
  // used by smallmonth
  $dnotfound = false ;
  $snotfound = false ;
  $out = $in ;
  $dpos = strpos($in,"\"");
  if ($dpos===false) $dnotfound = true ;
  while (!$dnotfound) {
    $out = substr($in,0,$dpos)."&quot;".substr($in,$dpos+1,strlen($in)-$dpos-1);
    $in = $out ;
    $dpos = strpos($in,"\"");
    $spos = strpos($in,"'");
    if ($dpos===false) $dnotfound = true ;
    if ($spos===false) $snotfound = true ;
  }
  $spos = strpos($in,"'");
  if ($spos===false) $snotfound = true ;
  while (!$snotfound) {
    $out = substr($in,0,$spos)."&amp;#39;".substr($in,$spos+1,strlen($in)-$spos-1);
    $in = $out ;
    $spos = strpos($in,"'");
    if ($spos===false) $snotfound = true ;
  }
  return $out ;
}
?>