<?php
/************************************************************************/
/* NPDS : Net Portal Dynamic System                 */
/* ================================                 */
/*                                  */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                           */
/*                                  */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/*                                  */
/* Module   : EVENT-C@LL                        */
/* Auteur   : Grald MARINO                     */
/* Mail     : webmaster@marino-g.org                */
/* Site Web     : http://www.marino-g.org/              */
/*                                  */
/************************************************************************/
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.   */
/************************************************************************/

// For More security
if (!eregi("admin.php", $PHP_SELF)) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}
// For More security

OpenTable();

include ("modules/event-call/admin/cal_admintop.php");

/************************/
/* view events per week */
/************************/

function week($week,$date){
global $ModPath, $ModStart, $admin, $subop, $MENUTITLE,$HIGHLIGHT,$DWCFG,$EVENTCFG,$DTCONFIG,$maand,$week,$m,$d,$y,$ld,$fd,$menufont,$titlefont,$headerfont,$normalfont,$closefont,$datenumfont,$uname;

if (!$date){
$year = $y;
$month = $m;
$day = $d;
}
else{
$year = substr($date,0,4);
$month = substr($date,5,2);
$day = substr($date,8,2);
}

// offset to get correct day calculation when "date" is sent
$day_offset = date("w", mktime(0,0,0,$month,$day,$year));
$dayoff = 0 ;       // use to get back original url "date"
while ($day_offset>date("w")) {
    $day-- ;
    $day_offset = date("w", mktime(0,0,0,$month,$day,$year));
    $dayoff++ ;
}
while ($day_offset<date("w")) {
    $day++ ;
    $day_offset = date("w", mktime(0,0,0,$month,$day,$year));
    $dayoff-- ;
}


// get first day of the week based on week start day "$DTCONFIG[3]"
function firstDayOfWeek($year,$month,$day){
 global $fd,$DTCONFIG;
 $dayOfWeek=date("w");
 $sunday_offset = ($dayOfWeek) * 60 * 60 * 24 ;
 $startday_offset = ($DTCONFIG[3]-1) * 60 * 60 * 24;
 $fd = date("Y-m-d", mktime(0,0,0,$month,$day+1,$year) - $sunday_offset + $startday_offset);
 return $fd;
}
firstDayOfWeek($year,$month,$day);

// get last day of the week based on week start day "$DTCONFIG[3]"
function lastDayOfWeek($year,$month,$day){
 global $ld,$DTCONFIG;
 $dayOfWeek=date("w");
 $saturday_offset= (6-$dayOfWeek) * 60 * 60 * 24 ;
 $startday_offset = ($DTCONFIG[3]-1) * 60 * 60 * 24;
 $ld  = date("Y-m-d", mktime(0,0,0,$month,$day+1,$year) + $saturday_offset + $startday_offset);
 return $ld;
}
lastDayOfWeek($year,$month,$day);


// display header with week number
echo "<table bgcolor=\"$DWCFG[1]\" border=\"0\" width=\"100%\" cellspacing=\"0\"><tr><td>".$headerfont.translate_event_call("Events from ");

$fdy = substr($fd,0,4);
$fdm = substr($fd,5,2);
if (substr($fdm,0,1) == "0"){
 $fdm = str_replace("0","",$fdm);}
$fdd = substr($fd,8,2);
echo $fdd." ".$maand[$fdm]." ".$fdy;

echo " ".translate_event_call("till")." ";
$ldy = substr($ld,0,4);
$ldm = substr($ld,5,2);
if (substr($ldm,0,1) == "0"){
 $ldm = str_replace("0","",$ldm);}
$ldd = substr($ld,8,2);
echo $ldd." ".$maand[$ldm]." ".$ldy;

$weeknumber = weekNumber($day+$dayoff,$month,$year);

if ($ldy>($y+$DTCONFIG[5])) $weeknumber = 53 ;  // to ensure weeks cannot go beyond restricted dates
if ($fdy<($DTCONFIG[4])) $weeknumber = 1 ;  // to ensure weeks cannot go beyond restricted dates
echo " (".translate_event_call("week number")." : ".$weeknumber.")".$closefont."\n";

$gdy = $ldy ;
$gdm = $ldm ;
if ($gdy>($y+$DTCONFIG[5])) { $gdy = $fdy ; $gdm = $fdm ; }
echo " &nbsp; &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/calendar&subop=cal&month=$gdm&year=$gdy\"" ;
urlvar($uname) ;
echo " ><img src=\"modules/event-call/images/month.gif\" border=\"0\" alt='".translate_event_call("View month")." ".$maand[$gdm]."' /></a>";
echo "<br />".$headerfont."(".translate_event_call("Week starts")." ".$week[$DTCONFIG[3]+1].")".$closefont."\n" ;
echo "</td></tr></table>" ;

// display hyperlinks to previous and next week
$calendyear = $y + $DTCONFIG[5] ;
echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\"><tr><td align=\"left\">" ;
if (($year > $DTCONFIG[4]) || (($fdm >= 1)&&($fdy == $DTCONFIG[4])))
    {
    echo $menufont."<a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_adminweek&subop=week&date=".date("Y-m-d", mktime(0,0,0,$month,$day-7,$year));
      urlvar($uname);
    echo "\"><b><<</b> ".translate_event_call("Previous week")."</a> &nbsp; ".$closefont;
    }
if ($ldy <= $calendyear) {
    echo $menufont."<a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_adminweek&subop=week&date=".date("Y-m-d", mktime(0,0,0,$month,$day+7,$year));
      urlvar($uname);
    echo "\">".translate_event_call("Next week")." <b>>></b> </a>".$closefont."\n";
}

// display the hyperlinks to each day
echo "</td><td align=right>".$menufont."<b>".translate_event_call("Go to").": </b>  &nbsp; ";
$afd = $fd ;
$ald = date("Y-m-d", mktime(0,0,0,$ldm,$ldd+1,$ldy));
while ($afd != $ald){
$fdy = substr($afd,0,4);

$fdm = substr($afd,5,2);
if (substr($fdm,0,1) == "0"){
 $fdm = str_replace("0","",$fdm);}
$fdd = substr($afd,8,2);
$weekday = date ("w", mktime(12,0,0,$fdm,$fdd,$fdy));
$weekday++;
echo "<a href='#$week[$weekday]' >" ;
echo ucfirst($week[$weekday])." - ".$fdd ;
echo "</a> &nbsp; " ;
$afd = date("Y-m-d", mktime(0,0,0,$fdm,$fdd+1,$fdy));
}
echo "</td></tr></table>" ;


$ld = date("Y-m-d", mktime(0,0,0,$ldm,$ldd+1,$ldy));
while ($fd != $ld){
    $fdy = substr($fd,0,4);
    $fdm = substr($fd,5,2);
    if (substr($fdm,0,1) == "0"){
      $fdm = str_replace("0","",$fdm);
      }
    $fdd = substr($fd,8,2);

    // display the day header
    echo "<table width=\"100%\" border=\"0\" bgcolor=\"$MENUTITLE[0]\" cellspacing=\"0\"><tr><td valign=\"middle\" align=\"left\" width=\"65%\">" ;
    $weekday = date ("w", mktime(12,0,0,$fdm,$fdd,$fdy));
    $weekday++;
    echo "<a name='$week[$weekday]'><b>".$titlefont ;
    echo ucfirst($week[$weekday]).$closefont." " ;
      echo "<a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_adminday&subop=day&date=".date("Y-m-d", mktime(0,0,0,$fdm,$fdd,$fdy));
    urlvar($uname) ;
    echo "\">".$titlefont.$fdd.$closefont."</a>"." ".$titlefont.ucfirst($maand[$fdm])." ".$fdy ;
    echo $closefont."</b></a> &nbsp; <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_event&subop=eventform&add_day=$fdd&add_month=$fdm&add_year=$fdy\"><img src=\"modules/event-call/images/plus.png\" alt=\"".translate_event_call("Add Event")."\" border=\"0\" valign=\"middle\" width=\"16\" height=\"16\" /></a>" ;
    echo "</td>" ;
    $weekhols = calhols($fdd,$fdm,$fdy) ;
    echo "<td align=\"right\"";
    if (mysql_num_rows($weekhols)>0)
      echo " bgcolor=\"$HIGHLIGHT[1]\">" ;
    else echo "> &nbsp;" ;
    echo $headerfont ;
    showhols($weekhols,"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_hols&subop=view&id=",false);
    echo $closefont."</td></tr></table>";

    // query and display events
    echo "<table width=\"100%\" border=\"0\" bgcolor=\"$DWCFG[2]\" cellspacing=\"0\"><tr><td>" ;

    $order = " order by starttime,title ASC" ;
    $result = eventqry($fdd,$fdm,$fdy,$uname,$order,false,0) ;

    if (mysql_num_rows($result)==0) echo "<br>" ;

    while ($row = mysql_fetch_object($result)){
    if ($row->approved=='0') echo "<table width=\"100%\" border=\"0\"><tr><td bgcolor=\"$HIGHLIGHT[0]\">" ;
    echo $normalfont ;
    if ($row->starttime=='') echo "<li>" ;
    else {
      echo "<b>" ;
      echo show12hour($row->starttime) ;
      if ($row->endtime!='') {
        echo "&nbsp;-&nbsp;" ;
        echo show12hour($row->endtime) ;
        echo " &nbsp; &nbsp; </b>" ;
        }
      else echo " &nbsp; &nbsp; </b>" ;
      }
    echo "<b>".stripslashes($row->title) ;
    if ($EVENTCFG[1]==1) echo " &nbsp;&lt;".$row->user."&gt;" ;
    echo "</b><br />";
    echo $closefont ;
    echo $normalfont."<b>".translate_event_call("Category")." : "."</b>".stripslashes($row->cat_name).$closefont."<br />";

    $de = str_replace("<br>","",$row->description);
    $de = str_replace("<br />","",$row->description);
    echo $normalfont.substr(stripslashes($de),0,$EVENTCFG[3]) ;
    if (($row->email!="")||($row->url!="")||(strlen($de)>$EVENTCFG[3])) echo "&nbsp;<b>...</b>".$closefont."\n";
    else echo $closefont."\n" ;
    echo "<br /></ul>";
      echo $menufont."<a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_event&subop=view&id=".$row->id."\">".translate_event_call("View event")."</a>\n";
      echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_event&subop=edit&id=".$row->id."\">".translate_event_call("Edit event")."</a>\n";
      echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_event&subop=delev&id=".$row->id."\">".translate_event_call("Delete event")."</a>\n";
      if ($row->approved=='0')
        echo " - <a href=\"admin.php?op=Extend-Admin-SubModule&ModPath=$ModPath&ModStart=admin/cal_approve&subop=approve&id=".$row->id."\">".translate_event_call("Approve")."</a>\n";
      echo $closefont."\n" ;

    echo "<br /><hr />";
    if ($row->approved=='0') echo "</td></tr></table>\n" ;

    }
$fd = date("Y-m-d", mktime(0,0,0,$fdm,$fdd+1,$fdy));
echo "</td></tr></table>" ;
}

// display form functions
echo "<table border=\"0\" width=\"100%\" cellspacing=\"0\"><tr><td align=\"left\" width=\"50%\">" ;
echo "<table width=\"100\" border=\"1\" align=\"left\"><tr><td bgcolor=\"$HIGHLIGHT[0]\" align=\"center\"><i>".$datenumfont.translate_event_call("Unapproved events").$closefont."</i></td></tr></table>\n</td>" ;
echo "<td align=\"right\" valign=\"middle\" width=\"50%\">" ;
echo "<form action=\"#\">\n";
echo $menufont."<b>".translate_event_call("Go to week")." </b>".$closefont ;
// get week number
echo "<select class=\"select_ec\" name=\"goweek\" onchange=\"javascript:gotoweek(this);\">\n";
for($i=1;$i<53;$i++){
 echo "\t<option value=\"$i\"";
 if ($weeknumber==$i) echo " selected=\"selected\" ";
 echo ">".$i."\n";

}
if (showWeek53($year)>52)
 {
 for($i=53;$i<=showWeek53($year);$i++){
   echo "\t<option value=\"$i\"";
   if ($weeknumber==$i) echo " selected=\"selected\" " ;
   echo ">".$i."\n";
   }
 }
echo "</select>\n";
echo $menufont."<b>".translate_event_call("or month")." </b>".$closefont ;
// get months
echo "<select class=\"select_ec\" name=\"gomonth\" onchange=\"javascript:gotomonth(this);\">\n";
for($i=1;$i<13;$i++){
 echo "\t<option value=\"$i\"";
 if ($ldm==$i) echo " selected=\"selected\" " ;
 echo ">".ucfirst($maand[$i])."\n";
 }
echo "</select>&nbsp;&nbsp;<br />\n";

// Display the users to be selected
selectuser($uname);
echo "&nbsp;&nbsp;" ;
echo "</form>" ;
echo "</td></tr></table>" ;
}

switch ($subop){

    // view per week
    case"week":{
        week($week,$date);
    break;
    }

    // default:
    default:{
    week($week,$date);
    break;
    }
}
include ('modules/event-call/admin/viewmenu.php');
include ('modules/event-call/admin/cal_footer.inc.php');

closetable();

?>