<?php
$version = "2.4-02.2005" ;
/************************************************************************/
/* NPDS : Net Portal Dynamic System                 */
/* ================================                 */
/*                                  */
/* Original Copyright (c) 2001 by Francisco Burzi (fburzi@ncc.org.ve)   */
/* http://phpnuke.org                           */
/*                                  */
/* This version name NPDS Copyright (c) 2001-2002 by Philippe Brunier   */
/************************************************************************/
/* Original Copyright (c) 2004 BY Grald MARINO             */
/* Module   : EVENT-C@LL                        */
/* Auteur   : Grald MARINO                     */
/* Mail     : webmaster@marino-g.org                */
/* Site Web     : http://www.marino-g.org/              */
/*                                  */
/************************************************************************/
/* NPDS is free software. You can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.   */
/************************************************************************/

require "modules/event-call/config/cal_db.inc.php" ;

############################################################################
#
# base dir (include ending slash !)
# adjust the '$calpath'.
# // $calpath = "/home/npds/" ;

$calpath = dirname(__FILE__) ;
$pos = strpos($calpath, "/");
if (!is_integer($pos)) $calpath = $calpath.'\\' ;
else $calpath = $calpath.'/' ;

############################################################################
#
# Calendar login for users (Administration pages always require login)
# 1 = yes, 0 = no

$UVIEW = paramQry("userview") ;

############################################################################
#
# language
#
# dk -> danish
# e  -> english
# es -> espaol
# fr -> french
# g  -> german
# i  -> italian
# n  -> dutch
# nor-> norwegian
# p  -> portuguese
# sl -> slovenian
# se -> swedish
# tr -> turk
# r  -> russian
# f  -> finnish
# a  -> arabic  // in header file replace <html> with <html dir=rtl> so it would look right
# k  -> korean  // no translation yet, like to help?
# j  -> japanese// no translation yet, like to help?
# c  -> chinese // no translation yet, like to help?

$langa = paramQry("language") ;
$language_cal = $langa[0];

# don't change next 3 lines !
require $calpath."cal_languages/".$language_cal.".inc.php";
require $calpath."cal_languages/".$language_cal.".months.php";
require $calpath."cal_languages/".$language_cal.".week.php";

############################################################################
#
# (non) views
#
# set several things (url, search) on/off on the site

$POPVIEW = paramQry("popup") ;

$APPR = paramQry("approval") ;

$ALLOWVIEW = paramQry("allowview") ;

$SEARCHCFG = paramQry("search") ;

$EVENTCFG = paramQry("eventdisplayconfig") ;

$DTCONFIG = paramQry("datetimeconfig") ;

$SHOW = paramQry("show") ;

$MAILCFG = paramQry("mailconfig") ;

$STYLEUSE = paramQry("stylesheet") ;

function correctTime($timetype) {
global $DTCONFIG ;
  if ($timetype=="YmdHis") $timeoff = date("YmdHis",mktime(date("G")+$DTCONFIG[2],date("i"),date("s"),date("n"),date("j"),date("Y"))) ;
  /*
  if ((date("G")+$DTCONFIG[2])>24) $timestamp = date("YmdHis",mktime(date("G")+$DTCONFIG[2]-24,date("i"),date("s"),date("n"),date("j")+1,date("Y"))) ;
  if ((date("G")+$DTCONFIG[2])<0) $timestamp = date("YmdHis",mktime(date("G")+$DTCONFIG[2]+24,date("i"),date("s"),date("n"),date("j")-1,date("Y"))) ;
  */
  else $timeoff = date($timetype,mktime(date("G")+$DTCONFIG[2],date("i"),date("s"),date("n"),date("j"),date("Y"))) ;
  return $timeoff ;
}

############################################################################
#
# colors for the calendar views

# background and link colors
$PAGECLR = paramQry("pageclr") ;

# two colors alternate row listings
$ROWALTCLR = paramQry("rowaltclr") ;

# vars for calendar-month-view
$MTHCFG = paramQry("mthcfg");

$MENUTITLE = paramQry("menutitle");

$HIGHLIGHT = paramQry("highlight");

$DWCFG = paramQry("dwcfg");

$CURRENCY = strParamQry("currency");

$COYNAME = strParamQry("companyname") ;
$COYNAMECFG = paramQry("companynamecfg") ;
$companynamefont = "<font face='".$COYNAMECFG[0]."' color=".$COYNAMECFG[1]." size=".$COYNAMECFG[2]." >" ; // Company name header font

$CALNAME = strParamQry("calname") ;
$CALNAMECFG = paramQry("calnamecfg") ;
$calendarnamefont = "<font face='".$CALNAMECFG[0]."' color=".$CALNAMECFG[1]." size=".$CALNAMECFG[2]." >" ;  // Calendar name header font

$DAYFONT = paramQry("dayfont") ;
$dayfont = "<font face='".$DAYFONT[0]."' color=".$DAYFONT[1]." size=".$DAYFONT[2]." >" ;  // font for calendar day name
$DATENUMFONT = paramQry("datenumfont") ;
$datenumfont = "<font face='".$DATENUMFONT[0]."' color=".$DATENUMFONT[1]." size=".$DATENUMFONT[2]." >" ; // font for calendar date numbers
$CALFONTBACK = paramQry("calfontback") ;
$calfontback = "<font face='".$CALFONTBACK[0]."' color=".$CALFONTBACK[1]." size=".$CALFONTBACK[2]." >" ; // link previous month
$CALFONTASKED = paramQry("calfontasked") ;
$calfontasked = "<font face='".$CALFONTASKED[0]."' color=".$CALFONTASKED[1]." size=".$CALFONTASKED[2]." >" ; // link asked month
$CALFONTNEXT = paramQry("calfontnext") ;
$calfontnext = "<font face='".$CALFONTNEXT[0]."' color=".$CALFONTNEXT[1]." size=".$CALFONTNEXT[2]." >" ;  // link next month
$CALEVENTFONT = paramQry("caleventfont") ;
$caleventfont = "<font face='".$CALEVENTFONT[0]."' color=".$CALEVENTFONT[1]." size=".$CALEVENTFONT[2]." >" ; // font for calendar events
$HOLIDAYFONT = paramQry("holidayfont") ;
$holidayfont = "<font face='".$HOLIDAYFONT[0]."' color=".$HOLIDAYFONT[1]." size=".$HOLIDAYFONT[2]." >" ;  // font for holiday events

$POPFONT = paramQry("popfont") ;
$popupeventtitlefont = "<font face='".$POPFONT[0]."' color=".$POPFONT[1]." size=".$POPFONT[2]." >" ;  // font for event title in popup
$popupeventfont = "<font face='".$POPFONT[3]."' color=".$POPFONT[4]." size=".$POPFONT[5]." >" ;  // font for event in popup

$SEARCHFONT = paramQry("searchfont");
$searchheaderfont = "<font face='".$SEARCHFONT[0]."' color=".$SEARCHFONT[1]." size=".$SEARCHFONT[2]." >" ;  // font for search header
$searchtitlefont = "<font face='".$SEARCHFONT[3]."' color=".$SEARCHFONT[4]." size=".$SEARCHFONT[5]." >" ;  // font for search title
$searchtextfont = "<font face='".$SEARCHFONT[6]."' color=".$SEARCHFONT[7]." size=".$SEARCHFONT[8]." >" ;  // font for search content

$TODAYFONT = paramQry("todayfont");
$todayfont = "<font face='".$TODAYFONT[0]."' color=".$TODAYFONT[1]." size=".$TODAYFONT[2]." >" ;  // today date header font
$MENUFONT = paramQry("menufont");
$menufont = "<font face='".$MENUFONT[0]."' color=".$MENUFONT[1]." size=".$MENUFONT[2]." >" ; // font for menu items
$TEXTFONT = paramQry("textfont");
$headerfont = "<font face='".$TEXTFONT[0]."' color=".$TEXTFONT[1]." size=".$TEXTFONT[2]." >" ;  // font for headers
$titlefont = "<font face='".$TEXTFONT[3]."' color=".$TEXTFONT[4]." size=".$TEXTFONT[5]." >" ;   // font for titles
$normalfont = "<font face='".$TEXTFONT[6]."' color=".$TEXTFONT[7]." size=".$TEXTFONT[8]." >" ; // font for all other messages

$closefont = '</font>' ;

$HOMELINK = strParamQry("homelink");
$CONTACT = strParamQry("contact");

?>