-- phpMyAdmin SQL Dump
-- version 2.6.1
-- http://www.phpmyadmin.net
-- 
-- Serveur: 
-- Gnr le : Lundi 14 Fvrier 2005  05:10
-- Version du serveur: 4.0.15
-- Version de PHP: 4.3.3
-- 
-- Base de donnes: ``
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `event_call_cat`
-- 

CREATE TABLE event_call_cat (
  cat_id int(11) NOT NULL auto_increment,
  cat_name varchar(150) NOT NULL default '',
  cat_color varchar(7) default NULL,
  cat_bgcolor varchar(7) default NULL,
  PRIMARY KEY  (cat_id),
  UNIQUE KEY cat_id (cat_id)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Contenu de la table `event_call_cat`
-- 

INSERT INTO event_call_cat (cat_id, cat_name, cat_color, cat_bgcolor) VALUES (1, 'Cat. Test-A', '#0000CC', '#FFFFCC');
INSERT INTO event_call_cat (cat_id, cat_name, cat_color, cat_bgcolor) VALUES (2, 'Cat. Test-B', '#FFFF66', '#0000CC');

-- --------------------------------------------------------

-- 
-- Structure de la table `event_call_events`
-- 

CREATE TABLE event_call_events (
  id int(11) NOT NULL auto_increment,
  timestamp timestamp(14) NOT NULL,
  title varchar(255) NOT NULL default '',
  description text NOT NULL,
  url varchar(100) NOT NULL default '',
  email varchar(120) NOT NULL default '',
  cat tinyint(2) NOT NULL default '0',
  starttime varchar(8) NOT NULL default '',
  endtime varchar(8) NOT NULL default '',
  day tinyint(2) NOT NULL default '0',
  month smallint(2) NOT NULL default '0',
  year smallint(4) NOT NULL default '0',
  approved tinyint(1) NOT NULL default '0',
  fee varchar(15) NOT NULL default '',
  priority tinyint(1) NOT NULL default '0',
  user varchar(30) NOT NULL default '',
  timezone varchar(5) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY id (id)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- 
-- Contenu de la table `event_call_events`
-- 

INSERT INTO event_call_events (id, timestamp, title, description, url, email, cat, starttime, endtime, day, month, year, approved, fee, priority, user, timezone) VALUES (1, '20050206232218', 'Test A', 'Description du Test A', '', '', 1, '', '', 2, 2, 2005, 1, '', 0, '', '');
INSERT INTO event_call_events (id, timestamp, title, description, url, email, cat, starttime, endtime, day, month, year, approved, fee, priority, user, timezone) VALUES (2, '20050206232150', 'Test B', 'Description du Test B', '', '', 2, '', '', 2, 2, 2005, 1, '', 0, '', '');
INSERT INTO event_call_events (id, timestamp, title, description, url, email, cat, starttime, endtime, day, month, year, approved, fee, priority, user, timezone) VALUES (3, '20050206232400', 'Test C', 'Description du Test C', '', '', 1, '', '', 16, 2, 2005, 1, '', 0, '', '');

-- --------------------------------------------------------

-- 
-- Structure de la table `event_call_holidays`
-- 

CREATE TABLE event_call_holidays (
  id int(11) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  description text NOT NULL,
  type tinyint(2) NOT NULL default '0',
  day tinyint(2) NOT NULL default '0',
  month tinyint(2) NOT NULL default '0',
  year smallint(4) NOT NULL default '0',
  others varchar(10) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM AUTO_INCREMENT=3 ;

-- 
-- Contenu de la table `event_call_holidays`
-- 

INSERT INTO event_call_holidays (id, title, description, type, day, month, year, others) VALUES (1, 'Nouvel an', 'Bonne et heureuse nouvelle anne !', 0, 1, 1, 0, NULL);
INSERT INTO event_call_holidays (id, title, description, type, day, month, year, others) VALUES (2, 'Assomption', 'Fri', 0, 15, 8, 0, '-1/1');

-- --------------------------------------------------------

-- 
-- Structure de la table `event_call_param`
-- 

CREATE TABLE event_call_param (
  name varchar(150) NOT NULL default '',
  value varchar(255) default NULL,
  PRIMARY KEY  (name)
) TYPE=MyISAM;

-- 
-- Contenu de la table `event_call_param`
-- 

INSERT INTO event_call_param (name, value) VALUES ('session_timeout', '3600');
INSERT INTO event_call_param (name, value) VALUES ('language', 'fr');
INSERT INTO event_call_param (name, value) VALUES ('userview', '1|0|1|2');
INSERT INTO event_call_param (name, value) VALUES ('popup', '0|500|500|500|500');
INSERT INTO event_call_param (name, value) VALUES ('approval', '1|0');
INSERT INTO event_call_param (name, value) VALUES ('allowview', '0|0|1|1|1|1|1|0');
INSERT INTO event_call_param (name, value) VALUES ('search', '1|1|1|1|1|1');
INSERT INTO event_call_param (name, value) VALUES ('eventdisplayconfig', '0|1|0|650|45');
INSERT INTO event_call_param (name, value) VALUES ('datetimeconfig', '0|0|0|1|2003|1');
INSERT INTO event_call_param (name, value) VALUES ('show', '1|0|0|0|0|1');
INSERT INTO event_call_param (name, value) VALUES ('mailconfig', '0|webmaster@votre-site.ext|0');
INSERT INTO event_call_param (name, value) VALUES ('stylesheet', '1');
INSERT INTO event_call_param (name, value) VALUES ('languagelist', 'Danish|English|Spanish|French|German|Italian|Dutch|Norwegian|Portuguese|Slovenian|Swedish|Turk|Russian|Finnish|Arabic');
INSERT INTO event_call_param (name, value) VALUES ('languageabbrev', 'dk|e|es|fr|g|i|n|nor|p|sl|se|tr|r|f|a');
INSERT INTO event_call_param (name, value) VALUES ('pageclr', '#FFFFFF|||');
INSERT INTO event_call_param (name, value) VALUES ('rowaltclr', '#FFFFFF|#FAFAFA');
INSERT INTO event_call_param (name, value) VALUES ('mthcfg', '100%|0|1|0|14%|30|50|50|#C8D4E4|#F5F5F5|#F5F5F5|#FAFAFA|#FAFAFA|#FAFAFA|#FAFAFA|#C8D4E4');
INSERT INTO event_call_param (name, value) VALUES ('menutitle', '#C8D4E4|100%|#FAFAFA|100%|#F2F2F2');
INSERT INTO event_call_param (name, value) VALUES ('highlight', '#F2F6FF|#C8D4E4');
INSERT INTO event_call_param (name, value) VALUES ('dwcfg', '100%|#C8D4E4|#FAFAFA');
INSERT INTO event_call_param (name, value) VALUES ('companyname', 'Le nom de votre site web');
INSERT INTO event_call_param (name, value) VALUES ('companynamecfg', '|||#FAFAFA');
INSERT INTO event_call_param (name, value) VALUES ('calname', 'Le nom de votre agenda');
INSERT INTO event_call_param (name, value) VALUES ('calnamecfg', '|||#F2F2F2');
INSERT INTO event_call_param (name, value) VALUES ('datenumfont', '||');
INSERT INTO event_call_param (name, value) VALUES ('dayfont', '||');
INSERT INTO event_call_param (name, value) VALUES ('calfontback', '||');
INSERT INTO event_call_param (name, value) VALUES ('calfontasked', '||');
INSERT INTO event_call_param (name, value) VALUES ('calfontnext', '||');
INSERT INTO event_call_param (name, value) VALUES ('caleventfont', '||');
INSERT INTO event_call_param (name, value) VALUES ('holidayfont', '||');
INSERT INTO event_call_param (name, value) VALUES ('popfont', '|||||');
INSERT INTO event_call_param (name, value) VALUES ('searchfont', '||||||||');
INSERT INTO event_call_param (name, value) VALUES ('todayfont', '||');
INSERT INTO event_call_param (name, value) VALUES ('menufont', '||');
INSERT INTO event_call_param (name, value) VALUES ('textfont', '||||||||');
INSERT INTO event_call_param (name, value) VALUES ('homelink', '<a href=http://votre-site.ext/ >www.votre-site.ext</a>');
INSERT INTO event_call_param (name, value) VALUES ('contact', 'webmaster@votre-site.ext');
INSERT INTO event_call_param (name, value) VALUES ('currency', 'Eur');
